Daemon Power

The NetBSD Packages Collection: sysutils/py-diffoscope

Brief description of the package:
In-depth comparison of files, archives, and directories

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://diffoscope.org/.

Please note that this package has a gnu-gpl-v3 license.

The package is located in the "sysutils/py-diffoscope" directory. The current source version of the package is "py36-diffoscope-88". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for sysutils/py-diffoscope :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py36-libarchive-c-[0-9]* py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 cwrappers>=20150314 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 libarchive>=3.1 libarchive>=3.3.1 py36-magic-[0-9]* py36-tlsh-[0-9]* tlsh>=3.4.3 colordiff-[0-9]* perl>=5.0 vim-[0-9]* vim-share-8.0.1379{,nb*} py36-setuptools>=0.8 gtar-base>=1.13.25 python36>=3.6 python36>=3.6.0 .

This package requires the following package(s) to run: py36-libarchive-c-[0-9]* py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 libarchive>=3.1 libarchive>=3.3.1 py36-magic-[0-9]* py36-tlsh-[0-9]* colordiff-[0-9]* perl>=5.0 vim-[0-9]* vim-share-8.0.1379{,nb*} py36-setuptools>=0.8 gtar-base>=1.13.25 python36>=3.6 python36>=3.6.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:py33-diffoscope-44.tgz(NetBSD 7.0)
alpha:py34-diffoscope-44.tgz(NetBSD 7.0)
alpha:py35-diffoscope-44.tgz(NetBSD 7.0)
alpha:py34-diffoscope-63.tgz(NetBSD 8.0)
alpha:py35-diffoscope-63.tgz(NetBSD 8.0)
alpha:py36-diffoscope-63.tgz(NetBSD 8.0)
earmv7hf:py34-diffoscope-63.tgz(NetBSD 8.0_BETA)
earmv7hf:py35-diffoscope-63.tgz(NetBSD 8.0_BETA)
earmv7hf:py36-diffoscope-63.tgz(NetBSD 8.0_BETA)
i386:py34-diffoscope-63.tgz(NetBSD 6.0)
i386:py35-diffoscope-63.tgz(NetBSD 6.0)
i386:py36-diffoscope-63.tgz(NetBSD 6.0)
i386:py34-diffoscope-44.tgz(NetBSD 6.0)
i386:py35-diffoscope-44.tgz(NetBSD 6.0)
i386:py34-diffoscope-63.tgz(NetBSD 6.0)
i386:py35-diffoscope-63.tgz(NetBSD 6.0)
i386:py36-diffoscope-63.tgz(NetBSD 6.0)
i386:py34-diffoscope-63.tgz(NetBSD 6.0)
i386:py35-diffoscope-63.tgz(NetBSD 6.0)
i386:py36-diffoscope-63.tgz(NetBSD 6.0)
i386:py34-diffoscope-44.tgz(NetBSD 7.0)
i386:py35-diffoscope-44.tgz(NetBSD 7.0)
i386:py34-diffoscope-63.tgz(NetBSD 7.0)
i386:py35-diffoscope-63.tgz(NetBSD 7.0)
i386:py34-diffoscope-63.tgz(NetBSD 7.0)
i386:py35-diffoscope-63.tgz(NetBSD 7.0)
i386:py36-diffoscope-63.tgz(NetBSD 7.0)
i386:py34-diffoscope-63.tgz(NetBSD 7.0)
i386:py35-diffoscope-63.tgz(NetBSD 7.0)
i386:py36-diffoscope-63.tgz(NetBSD 7.0)
powerpc:py33-diffoscope-44.tgz(NetBSD 6.0)
powerpc:py34-diffoscope-44.tgz(NetBSD 6.0)
powerpc:py35-diffoscope-44.tgz(NetBSD 6.0)
powerpc:py34-diffoscope-63.tgz(NetBSD 6.1)
powerpc:py35-diffoscope-63.tgz(NetBSD 6.1)
powerpc:py36-diffoscope-63.tgz(NetBSD 6.1)
powerpc:py34-diffoscope-63.tgz(NetBSD 7.1)
powerpc:py35-diffoscope-63.tgz(NetBSD 7.1)
powerpc:py36-diffoscope-63.tgz(NetBSD 7.1)
powerpc:py34-diffoscope-63.tgz(NetBSD 7.1)
powerpc:py35-diffoscope-63.tgz(NetBSD 7.1)
powerpc:py36-diffoscope-63.tgz(NetBSD 7.1)
powerpc:py34-diffoscope-63.tgz(NetBSD 8.0)
powerpc:py35-diffoscope-63.tgz(NetBSD 8.0)
powerpc:py36-diffoscope-63.tgz(NetBSD 8.0)
powerpc:py34-diffoscope-63.tgz(NetBSD 8.0)
powerpc:py35-diffoscope-63.tgz(NetBSD 8.0)
powerpc:py36-diffoscope-63.tgz(NetBSD 8.0)
x86_64:py34-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py35-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py36-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py34-diffoscope-44.tgz(NetBSD 6.0)
x86_64:py35-diffoscope-44.tgz(NetBSD 6.0)
x86_64:py34-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py35-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py36-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py34-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py35-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py36-diffoscope-63.tgz(NetBSD 6.0)
x86_64:py34-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py35-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py36-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py34-diffoscope-44.tgz(NetBSD 6.1)
x86_64:py35-diffoscope-44.tgz(NetBSD 6.1)
x86_64:py34-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py35-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py34-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py35-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py36-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py34-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py35-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py36-diffoscope-63.tgz(NetBSD 6.1)
x86_64:py34-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py35-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py36-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py34-diffoscope-44.tgz(NetBSD 7.0)
x86_64:py35-diffoscope-44.tgz(NetBSD 7.0)
x86_64:py34-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py35-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py34-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py35-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py36-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py34-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py35-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py36-diffoscope-63.tgz(NetBSD 7.0)
x86_64:py34-diffoscope-63.tgz(NetBSD 7.0.1_PATCH)
x86_64:py35-diffoscope-63.tgz(NetBSD 7.0.1_PATCH)
x86_64:py36-diffoscope-63.tgz(NetBSD 7.0.1_PATCH)
x86_64:py34-diffoscope-63.tgz(NetBSD 8.99.1)
x86_64:py35-diffoscope-63.tgz(NetBSD 8.99.1)
x86_64:py36-diffoscope-63.tgz(NetBSD 8.99.1)
x86_64:py34-diffoscope-63.tgz(NetBSD 8.99.1)
x86_64:py35-diffoscope-63.tgz(NetBSD 8.99.1)
x86_64:py36-diffoscope-63.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]